スポンサーサイト

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    上記の広告は1ヶ月以上更新のないブログに表示されています。
    新しい記事を書く事で広告が消せます。

    CloneZilla

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    http://clonezilla.org/

    LiveCDにはいつからか分かりませんが、日本語入っているんですね。

    SE版含めて触っておきたいですね。
    スポンサーサイト

    theme : Linux
    genre : コンピュータ

    Table 'mysql.servers' doesn't exist

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    おそらく、mysqlのバージョンをうだうだやっていたせいだと思うが、
    Table 'mysql.servers' doesn't exist
    なんてでて身動きできなくなった。

    下記の様にするといいらしい。

    http://forums.mysql.com/read.php?11,142598,160503#msg-160503

    theme : Linux
    genre : コンピュータ

    ispcp-omega追記

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    phpをremiリポジトリで5.3に上げると下記の様な警告がたくさんでる。
    php.iniで表示をセーブできるかもしれないが、真面目に
    手直ししてみた。

    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'America/Chicago' for 'CDT/-5.0/DST' instead in /var/www/ispcp/gui/admin/index.php on line 130

    /var/www/ispcp/gui/admin/index.php
    の一番上に

    date_default_timezone_set(@date_default_timezone_get());



    を追記して黙らせました。

    追伸:/var/www/ispcp/gui/include/admin-functions.phpも同様にしました

    theme : Linux
    genre : コンピュータ

    ispcpomega1.0.4のインストール

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    ispcpomegaのCentOSへのインストールを実施しています。
    よくまとまっていると思いますが、引っかかったところを
    残しておきたいと思います。

    前のエントリとかぶりますが、CentOS5.4 x86_64で
    インストールするときは、
    repositoryに
    exclude=*.i386 *.i586 *.i686
    を忘れない様にしてコンフリクトをしないようにしましょう。

    後はこちらの手順に沿っていけばいいと思いますが、
    最後の方で、
    /etc/init.d/ispcp_network
    のサービス起動しようとして引っ掛かりました。
    66行目のダブルクォーテーションが抜けている様です。
    さらに、下記の説明文の場所が「Short-」が入っていると
    chkconfigコマンドでサービスon/offができないので、Short-を
    削除しました。
    Short-Description: ispCP Network Traffic Logger

    theme : Linux
    genre : コンピュータ

    remiリポジトリでのアップデートでコンフリクト

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    CentOS5.4 x86_64 の環境でremiリポジトリのアップデートを
    かけようとした時、変なことが起こったので備忘録。

    # yum --enablerepo=remi update mysql

    一番下のエラーがでてコンフリクトしていると。
    なんか短気がでて、/usr/share/mysqlをどかしたらできるかな
    とかやってみたが、そんな甘いことはなく、

    # rpm -qa | grep mysql
    としてみたらなんか、
    「mysql-5.0.77-4.el5_4.2」
    がニコある。えー。。。と
    はぁ?i386のパッケージが入ってる?

    # yum remove mysql-5.0.77-4.el5_4.2.i386
    としてみたら
    後は、普通にアップデートできるようになった。。30分は無駄にした気がする。




    Transaction Summary
    =============================================================================================================================
    Install 8 Package(s)
    Update 17 Package(s)
    Remove 0 Package(s)

    Total size: 24 M
    Is this ok [y/N]: Y
    Downloading Packages:
    Running rpm_check_debug
    Running Transaction Test
    Finished Transaction Test


    Transaction Check Error:
    file /usr/share/man/man1/my_print_defaults.1.gz from install of mysql-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/man/man1/mysql.1.gz from install of mysql-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/man/man1/mysql_config.1.gz from install of mysql-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/man/man1/mysql_find_rows.1.gz from install of mysql-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/man/man1/mysql_waitpid.1.gz from install of mysql-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/man/man1/mysqlaccess.1.gz from install of mysql-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/man/man1/mysqladmin.1.gz from install of mysql-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/man/man1/mysqldump.1.gz from install of mysql-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/man/man1/mysqlshow.1.gz from install of mysql-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /etc/my.cnf from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/charsets/Index.xml from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/charsets/cp1250.xml from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/czech/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/danish/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/dutch/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/english/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/estonian/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/french/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/german/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/greek/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/hungarian/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/italian/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/japanese/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/korean/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/norwegian-ny/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/norwegian/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/polish/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/portuguese/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/romanian/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/russian/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/serbian/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/slovak/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/spanish/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/swedish/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386
    file /usr/share/mysql/ukrainian/errmsg.sys from install of mysql-libs-5.1.45-1.el5.remi.x86_64 conflicts with file from package mysql-5.0.77-4.el5_4.2.i386

    Error Summary
    -------------



    theme : Linux
    genre : コンピュータ

    openupload0.4.1日本語化不具合

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    つい先日公開したopenuploadですが、一部不備がありました。
    すみません。。。

    一部メールのテンプレートの文字コードがiso-8559-1のままに
    なっていました。

    直したものはこちらからダウンロードして下さい。

    theme : Linux
    genre : コンピュータ

    openupload0.4.1

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    openuploadの0.4.1に手をつけていませんでしたが、
    結構アクセスがありますので、更新してみました。
    今回はインストーラーは日本語化していません。

    ダウンロードはこちら

    theme : Linux
    genre : コンピュータ

    SquidでPAM認証参考サイト

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    http://momoch.jugem.jp/?eid=801

    時間を見つけて試したい。

    theme : Linux
    genre : コンピュータ

    squid認証設定

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    先日、とある必要があり、squidの設定をしました。
    必要によって認証設定をしましたが、当初はサーバ上の
    unixアカウントを利用したかったのですが、時間が
    ない上に一発でうまくいかなかったので断念。
    htpasswdを使った認証にしました。

    参考にさせて頂いたのは、こちら

    squidguardもどこまでできるのか確認していなかったので、
    調べておきたいです。

    ブラックリストだけでなく、こちらの様に時間制限したり、使い方を整理すると面白いですね。

    theme : Linux
    genre : コンピュータ

    SiT! Support Incident Tracker日本語メール対応、日本語リソース追加

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    インシデント管理ができるサポート管理ツールSiT!に
    若干手をいれました。
    ただ課題も多少残っています。

    ・担当者アドレスインデックス(A~Z)を日本語あ~わにする
    ・顧客側IDを氏名から引用する部分(現行仕様では、姓が
     IDに転用される為、日本語で姓を入れるとユーザがログインできない。
    ・検索が部分的にしか使えない

    などなどです。

    ダウンロードはこちらから。

    theme : Linux
    genre : コンピュータ

    LimeSurvey1.87+最新ビルド日本語化

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    準備ができました。
    更新した日本語リソースを含みます。

    これまで、設定ファイルでのみ設定できた項目、
    SMTPサーバの指定、メールの一括送信数など
    管理画面から設定できる様になっています。

    こちらお願いします。

    theme : Linux
    genre : コンピュータ

    LimeSurvey1.8系 common.phpでメール送信バグ

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    過去配布していた、LimeSurvey1.8系の日本語メールの
    送信部に問題がありました。

    MailTextMessage関数の内部で
    html_entity_decodeの前にmb_convert_encodingを
    実施していて、HTMLメールのAltBodyが壊れてしまっていました。

    下記の様にUTF-8の段階でデコードし、タグをとって、
    改行変換をしてAltBodyに渡すことで改善します。

    subjectは、あまり要らない気もするのですが、
    LimeSurvey標準の言語リソースで、シングルクォーテーションが
    含まれるsubjectなどが存在するので、デコード処理を加えています。



    if ($ishtml) {
    $mail->IsHTML(true);
    $body = mb_convert_encoding(html_entity_decode($body,ENT_QUOTES,'UTF-8'), $emailcharset, auto);
    $mail->Body = $body;
    $textbody = html_entity_decode($textbody,ENT_QUOTES,'UTF-8');
    $textbody = strip_tags(br2nl($textbody));
    $textbody = mb_convert_encoding ( $textbody , $emailcharset , auto );
    $mail->AltBody = $textbody;
    } else
    {
    $mail->IsHTML(false);
    $textbody = mb_convert_encoding($textbody, $emailcharset, auto);
    $mail->Body = $textbody;
    }

    $subject = mb_convert_encoding(html_entity_decode($subject,ENT_QUOTES,'UTF-8'), $emailcharset, auto);


    theme : Windows 全般
    genre : コンピュータ

    LimeSurvey日本語リソース

  • このエントリーを含むはてなブックマーク
  • Yahoo!ブックマークに登録
    日本語リソースを下記の最新のテンプレ落として
    日本語化し直しました。
    プロジェクトに戻してその返信ももらいました。
    今、100%になっています。

    http://www.limesurvey.org/en/contribute/translations-status

    1.87+に関しても最新ビルドで日本語調整して公開準備中です。

    theme : Windows 全般
    genre : コンピュータ

    ご案内
    google検索
    カスタム検索
    カテゴリ
    最新記事
    Amazon
    カテゴリー&RSS
    RSS新着情報

    plugin by F.B

    検索フォーム
    最近のコメント(コンパクト)
    データ取得中...
    リンク
    フリーエリア
    RSSリンクの表示
    カレンダー
    02 | 2010/03 | 04
    - 1 2 3 4 5 6
    7 8 9 10 11 12 13
    14 15 16 17 18 19 20
    21 22 23 24 25 26 27
    28 29 30 31 - - -
    ブックマーク
    Yahoo!ブックマークに登録
  • | このエントリーを含むはてなブックマーク
  • 月別アーカイブ
    最新トラックバック
    上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。